#include "CS_PeBubbleBeamSpark.h"

CS_PeBubbleBeamSpark::CS_PeBubbleBeamSpark()
{
	type = 3;
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"pe_bubblebeam_spark";
	topDraw = true;
	int hideID = Random(0, 1);
	ani.hideLayerList.insert(hideID);
}

void CS_PeBubbleBeamSpark::Step()
{
	if (ani.image_index == 3)
		Destroy();
}

std::shared_ptr<Entity> CreateCS_PeBubbleBeamSpark()
{
	return std::make_shared<CS_PeBubbleBeamSpark>();
}

void SetCS_PeBubbleBeamSpark(std::shared_ptr<Entity> parent, float x, float y)
{
	auto pe = std::make_shared<CS_PeBubbleBeamSpark>();
	pe->x = x;
	pe->y = y;
	parent->gameFunc->SetEntity(parent, pe);
}
